org.eclipse.jgit.lib

## Class BitmapObject

- java.lang.Object
- - org.eclipse.jgit.lib.BitmapObject

    public abstract class BitmapObject
    extends Object

Base object type accessed during bitmap expansion.

Since:
  3.0

### Constructor Summary

Constructors
Constructor and Description
`BitmapObject()`

### Method Summary

Methods
`abstract ObjectId` `getObjectId()` Get the name of this object.
`abstract int` `getType()` Get Git object type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BitmapObject

    public BitmapObject()

### Method Detail

#### getType

    public abstract int getType()

Get Git object type. See `Constants`.

Returns:
  object type

#### getObjectId

    public abstract ObjectId getObjectId()

Get the name of this object.

Returns:
  unique hash of this object.